package com.mooreds.complexoverlay.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.core.client.JsArray;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.event.dom.client.KeyCodes;
import com.google.gwt.event.dom.client.KeyUpEvent;
import com.google.gwt.event.dom.client.KeyUpHandler;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.DialogBox;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.VerticalPanel;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class ComplexOverlay implements EntryPoint {

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		
		JsArray<ProductRecord> arr = getJson();
		FlowPanel fp = new FlowPanel();
		for (int i = 0; i < arr.length(); i++) {
			HTML h = new HTML("id: "+arr.get(i).getID()+
					", desc: "+arr.get(i).getDisplay().getDesc()+
					", price: "+arr.get(i).getDisplay().getPrice()+
					", available at "+arr.get(i).getStoreList().length()+" stores");

			fp.add(h);
		}
		
		RootPanel.get("desc").add(fp);
	
	}

	private native final JsArray<ProductRecord> getJson()/*-{ 
		return $wnd.jsonData;
	}-*/;
}


